package PodWiki::Vars;

use lib qw(. lib);

$PodWiki::Vars::VERSION = "1.0";

use strict;
use Carp;
use Exporter;

use vars qw(@ISA @EXPORT @EXPORT_OK @EXPORT_TAGS $AUTOLOAD);

@ISA=qw(Exporter);
@EXPORT=qw();
@EXPORT_OK=qw();
@EXPORT_TAGS=();


sub new {
  my($this, %param) = @_;
  my $class = ref($this) || $this;
  my $self = \%param;
  bless($self, $class);
  $self->init();
  return $self;
}


sub init {
  my($this) = @_;

  my @graphics = qw(
ascii     configure  forward    image    tar
attach    contents   encrypted  gohome   info   tgz
back      daemon     filefind   help     lock   up
bookmark  document   fileopen   html     ok     video
cancel    down       fileprint  idea     pdf
cdimage   edit       filesave   sound
		   );
  $this->{g_prep} = join "|", @graphics;


  $this->{colors} = {
		     YELLOW   => '<font color="#ffff00">',
		     ORANGE   => '<font color="#ff6600">',
		     RED      => '<font color="#ff0000">',
		     PINK     => '<font color="#ff00ff">',
		     PURPLE   => '<font color="#800080">',
		     TEAL     => '<font color="#008080">',
		     NAVY     => '<font color="#000080">',
		     BLUE     => '<font color="#0000ff">',
		     AQUA     => '<font color="#00ffff">',
		     LIME     => '<font color="#00ff00">',
		     GREEN    => '<font color="#008000">',
		     OLIVE    => '<font color="#808000">',
		     MAROON   => '<font color="#800000">',
		     BLACK    => '<font color="#000000">',
		     GRAY     => '<font color="#808080">',
		     SILVER   => '<font color="#c0c0c0">',
		     WHITE    => '<font color="#ffffff">',
		     END      => '</font>',

		     B_YELLOW   => '<span style="background-color: #ffff00">',
		     B_ORANGE   => '<span style="background-color: #ff6600">',
		     B_RED      => '<span style="background-color: #ff0000">',
		     B_PINK     => '<span style="background-color: #ff00ff">',
		     B_PURPLE   => '<span style="background-color: #800080">',
		     B_TEAL     => '<span style="background-color: #008080">',
		     B_NAVY     => '<span style="background-color: #000080">',
		     B_BLUE     => '<span style="background-color: #0000ff">',
		     B_AQUA     => '<span style="background-color: #00ffff">',
		     B_LIME     => '<span style="background-color: #00ff00">',
		     B_GREEN    => '<span style="background-color: #008000">',
		     B_OLIVE    => '<span style="background-color: #808000">',
		     B_MAROON   => '<span style="background-color: #800000">',
		     B_BLACK    => '<span style="background-color: #000000">',
		     B_GRAY     => '<span style="background-color: #808080">',
		     B_SILVER   => '<span style="background-color: #c0c0c0">',
		     B_WHITE    => '<span style="background-color: #ffffff">',
		     B_END      => '</span>'
	       };
  $this->{c_prep} = join "|", keys %{$this->{colors}};
}


sub interpolate {
  my($this, $content) = @_;
  $content =~ s/(?<!\\)(\$)($this->{g_prep})/G<${2}.png>/g;
  $content =~ s/(?<!\\)(\$)($this->{c_prep})/$this->{colors}->{$2}/g;
  return $content;
}


1;
